./lang/php56, PHP Hypertext Preprocessor version 5.6

[ CVSweb ] [ Homepage ] [ RSS ] [ Required by ] [ Add to tracker ]


Branch: CURRENT, Version: 5.6.35, Package name: php-5.6.35, Maintainer: pkgsrc-users

PHP is an HTML-embedded scripting language. It is modular, with
some object-oriented features. Much of its syntax is borrowed from
C, Java and Perl with a couple of unique PHP-specific features
thrown in. The language is designed to allow web developers to
write dynamically generated pages quickly.

This package provides PHP version 5.6.x.

NOTE: This version is on security support only, with planned End of Live
on December 31 2018. Update to PHP 7.1.x or 7.2.x is recommended.


Required to run:
[textproc/libxml2]

Required to build:
[pkgtools/cwrappers]

Package options: inet6, ssl

Master sites: (Expand)

SHA1: 58d35535c1350b07ce5c30f0c18d927039aa48a3
RMD160: 17219c34425f357dc929bfe42a07ef7be349c1b2
Filesize: 14702.221 KB

Version history: (Expand)


CVS history: (Expand)


   2018-03-30 02:37:16 by Takahiro Kambe | Files touched by this commit (1) | Package updated
Log message:
lang/php56: update to 5.6.35

29 Mar 2018, PHP 5.6.35

- FPM:
  . Fixed bug #75605 (Dumpable FPM child processes allow bypassing opcache
    access controls). (Jakub Zelenka)
   2018-03-02 03:13:44 by Takahiro Kambe | Files touched by this commit (1) | Package updated
Log message:
lang/php56: update to 5.6.34

01 Mar 2018, PHP 5.6.34

- Standard:
  . Fixed bug #75981 (stack-buffer-overflow while parsing HTTP response). (Stas)
   2018-02-23 16:26:15 by Thomas Klausner | Files touched by this commit (4)
Log message:
lang/*: remove BROKEN markers for known openssl-1.1 breakage

Requested by joerg.
   2018-02-20 07:42:20 by Thomas Klausner | Files touched by this commit (1)
Log message:
php56: mark as broken on NetBSD-current due to openssl-1.1
   2018-02-04 12:35:39 by Jaromir Dolecek | Files touched by this commit (4)
Log message:
note a planned End of Life for support of PHP 5.6.x and PHP 7.0.x

Those releases will stop getting official support on Dec 31 2018 and
Dec 3 2018 respectively, and they should be removed from pkgsrc by then.
   2018-01-16 12:28:09 by Jonathan Perkin | Files touched by this commit (3)
Log message:
php56: Convert libgcc fix to a patch to mirror php7*.
   2018-01-05 04:08:36 by Takahiro Kambe | Files touched by this commit (1) | Package updated
Log message:
lang/php56: update to 5.6.33

04 Jan 2017, PHP 5.6.33

- GD:
  . Fixed bug #75571 (Potential infinite loop in gdImageCreateFromGifCtx). (cmb)

- Phar:
  . Fixed bug #74782 (Reflected XSS in .phar 404 page). (Stas)
   2017-10-27 10:45:06 by Takahiro Kambe | Files touched by this commit (2) | Package updated
Log message:
lang/php56: Update to 5.6.32

* pkgsrc change: remove post-extract which is not required any more.
* including securiy fixes.

26 Sep 2017, PHP 5.6.32

- Date:
  . Fixed bug #75055 (Out-Of-Bounds Read in timelib_meridian()). (Derick)

- mcrypt:
  . Fixed bug #72535 (arcfour encryption stream filter crashes php). (Leigh)

- PCRE:
  . Fixed bug #75207 (applied upstream patch for CVE-2016-1283). (Anatol)